/*
Theme Name:     La Worquerie
Author:         Yoni SELLAM
Template:       Divi
Version:        1.1
*/

/*
Rajoutez vos règles de CSS personnalisé ci-dessous
*/

/* Bookly */

.modal-bookly {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 999;
	display: none;
	background: #fff;
	padding: 40px;
	border-radius: 5px;
	max-height: 90vh;
    overflow: auto;
	border: 1px solid #000;
	/*width: 1200px;
	height: 700px;
	max-width: 90%;
	max-height: 90%;*/
}

.bookly-form{
	/*width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;*/
}

.bookly-time-step,
.bookly-details-step,
.bookly-payment-nav{
	/*height: 100%;*/
}

.bookly-box {
	padding-bottom: 20px;
}

.bookly-details-step .bookly-box{
    margin: 0;
    padding: 0 0 5px;
}

.close-modal-bookly {
	position: absolute;
	right: 15px;
	top: 15px;
	width: 20px;
	height: 20px;
	padding-right: 1px;
	background: #000;
	color: #fff;
	border-radius: 4px;
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
}

#bookly-js-address {
    display: flex;
    flex-wrap: wrap;
}

#bookly-js-address .bookly-box {
    width: 100%;
}

#bookly-js-address .bookly-box:nth-child(2), #bookly-js-address .bookly-box:nth-child(3) {
    width: 50%;
}

.bookly-customer-information-container {
    display: flex;
    flex-wrap: wrap;
}

.bookly-customer-information-container .bookly-box {
    width: 50%;
}

@media(max-width: 650px){
	.bookly-customer-information-container .bookly-box {
		width: 100%;
	}
	
	#bookly-js-address .bookly-box:nth-child(2), #bookly-js-address .bookly-box:nth-child(3) {
		width: 100%;
	}
}

.bookly-form.bookly-overflow .bookly-columnizer-wrap{
	max-height: 50vh;
	min-height: 300px;
	overflow-y: auto;
	overflow-x: hidden;
}

.bookly-service-step,
.bookly-js-repeat-variants-container{
	min-height: 300px;
}

.bookly-background {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 998;
	background: #000;
	width: 100vw;
	height: 100vh;
	opacity: 0.3;
	display: none;
}

.bookly-back-step.hide-return{
	display: none !important;
}

.bookly-box.bookly-bold,
.bookly-mobile-step-1 .bookly-table{
	display: none;
}

.bookly-week-days > div:nth-child(6),
.bookly-week-days > div:nth-child(7){
	display: none !important;
}

.bookly-js-variant-monthly{
	display: none !important;	
}

.bookly-pagination{
	list-style: none !important;
}

.picker__weekday:nth-child(6), .picker__weekday:nth-child(7),
.picker__table tr td:nth-child(6), 
.picker__table tr td:nth-child(7){
	display: none;
}

.weekly .picker__weekday,
.weekly .picker__table tr td{
	display: none;
}

.weekly .picker__weekday:nth-child(1),
.weekly .picker__table tr td:nth-child(1){
	display: table-cell;
}

.picker__button--today{
	display: none;
}

.monthly .bookly-round.ladda-button {
    display: none;
}

.bookly-service-step .bookly-time-range {
    display: none;
}

.bookly-hour.isSelected {
    border: 2px solid #000000 !important;
    color: #000000 !important;
}

.bookly-hour.isSelected .bookly-hour-icon{
    background: none;
    border: 2px solid #000000 !important;
    color: #000000 !important;
	width: auto;
    height: auto;
    padding: 3px;
    border-radius: 25px;
    margin-right: 3px;
}

.bookly-hour.isSelected .bookly-hour-icon span{
    background-color: #000000 !important;
	width: 8px;
    height: 8px;
    border-radius: 10px;
    display: block;
}

@media(max-width: 992px){
	.modal-bookly {
		width: 90vw;
		padding: 20px;
	}	
	
	.bookly-form.bookly-overflow .bookly-columnizer-wrap{
		max-height: 40vh;
	}
	
	.bookly-form .bookly-schedule-appointment .picker__holder {
		left: -60px !important;
	}
	
	.close-modal-bookly{
		right: 5px;
    	top: 5px;
	}
}

.bookly-nb-bloc {
    margin-bottom: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bookly-nb-bloc label {
    margin-right: 15px;
}

.bookly-nb-bloc input[type="number"]#bookly-nb {
    width: 60px !important;
}
